# Class GameQueryConfig

获取和处理浏览器地址栏参数

### Example

    config.query.data.username

#### Hierarchy

- GameQueryConfig

- Defined in assets/module/config/GameQueryConfig.ts:16

#####
Index

### Constructors

constructor

### Properties

_data

### Accessors

data
debug
lang
username

### Methods

parseUrl

## Constructors

### constructor

- new GameQueryConfig(): GameQueryConfig

- 构造函数

  #### Returns GameQueryConfig

  - Defined in assets/module/config/GameQueryConfig.ts:39

## Properties

### `Private` _data

_data: any = null

- Defined in assets/module/config/GameQueryConfig.ts:32

## Accessors

### data

- get data(): any

- 浏览器地址栏原始参数

  #### Returns any

  - Defined in assets/module/config/GameQueryConfig.ts:34

### debug

- get debug(): string

- 调试模式开关

  #### Returns string

  - Defined in assets/module/config/GameQueryConfig.ts:18

### lang

- get lang(): string

- 语言

  #### Returns string

  - Defined in assets/module/config/GameQueryConfig.ts:28

### username

- get username(): string

- 玩家帐号名

  #### Returns string

  - Defined in assets/module/config/GameQueryConfig.ts:23

## Methods

### `Private` parseUrl

- parseUrl(): any

- #### Returns any

  - Defined in assets/module/config/GameQueryConfig.ts:53

Generated using TypeDoc